# $Id: smeserver-cacti.spec,v 1.2 2013/10/16 03:07:57 unnilennium Exp $
# Authority: nocvs
# Name: Michel Van hees

Summary: Cacti for smeserver
%define name smeserver-cacti
Name: %{name}
%define version 0.8.8b
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 8 , rrdtool >= 1
Requires: cacti-0.8.8b-2.el5
AutoReqProv: no

%changelog
* Tue Oct 15 2013 Jean-Philippe Pialasse <tests@pialasse.com> 0.8.8b.sme-2
- initial release for SME 8
- use el5 repo cacti

* Tue Dec  4 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to 0.8.7a version
- Adding access limitation
- Adding automatic redirection to https
- Automatic Update process from 0.8.6j

* Mon Jan  29 2007 Michel Van hees <michel@vanhees.cc>
- Based on cacti 0.8.6j
- Initial release

%description
SME server - Cacti

%prep
%setup
#%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
#/sbin/e-smith/db accounts set cacti reserved

%preun

%post
#/sbin/e-smith/db configuration set cacti service
#/sbin/e-smith/db configuration setprop cacti access private

#/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
#/sbin/e-smith/expand-template /opt/cacti/include/config.php
#service httpd-e-smith sigusr1


#cactiVersion=`mysql cacti_sme -N -s -e"select * from version"`
#case "$cactiVersion" in
#    0.8.6j)
#	echo ""
#        echo "Upgrade process !!!!!!"    
#	mysql cacti_sme < /opt/cacti/cacti_upg086j.sql
#	rm -f /opt/cacti/cacti_sme.sql
#	rm -f /opt/cacti/cacti_upg086j.sql
#	echo "Upgrade complete ..."
#	echo ""
#    ;;
#    0.8.7a)
#        # Shoul not be here for the moment
#    ;;
#    *)
#        # Fresh install
#	echo ""
#	echo "fresh install..."
#	mysqladmin create cacti_sme
#	mysql cacti_sme < /opt/cacti/cacti_sme.sql
#	rm -Rf /opt/cacti/install
#	rm -f /opt/cacti/cacti_sme.sql
#	rm -f /opt/cacti/cacti_upg086j.sql
#        echo "Install complete ..."
#	echo ""
#esac


%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
